Package be.fgov.ehealth.ehbox.core.v3

# Class MetaType

java.lang.Object
be.fgov.ehealth.ehbox.core.v3.MetaType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:14:01+02:00", comments="JAXB RI v4.0.5") public class MetaType extends Object implements Serializable
Meta defined by the system

Java class for MetaType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="MetaType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Type">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <minLength value="1"/>
                   <maxLength value="250"/>
                 </restriction>
               </simpleType>
             </element>
             <element name="Value" maxOccurs="unbounded">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <minLength value="1"/>
                   <maxLength value="250"/>
                 </restriction>
               </simpleType>
             </element>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MetaType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getType()`
  Gets the value of the type property.
  `List<String>`
  `getValues()`
  Gets the value of the values property.
  `void`
  `setType(String value)`
  Sets the value of the type property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MetaType

    public MetaType()

- ## Method Details

  - ### getType

    public String getType()
    Gets the value of the type property.
    Returns:
      possible object is `String`

  - ### setType

    public void setType(String value)
    Sets the value of the type property.
    Parameters:
      `value` - allowed object is `String`

  - ### getValues

    public List<String> getValues()
    Gets the value of the values property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the values property.

    For example, to add a new item, do as follows:

         getValues().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

    Returns:
      The value of the values property.